Package ru.bitel.bgbilling.plugins.fias.server.bean

# Class AddressLoadManager

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager
ru.bitel.bgbilling.plugins.fias.server.bean.AddressLoadManager

public class AddressLoadManager extends BaseLoadManager

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `ADDRESS_CITY, ADDRESS_HOUSE, ADDRESS_STREET, FIAS_CITY_MAP, FIAS_HOUSE_MAP, FIAS_HOUSE_TEMP, FIAS_STREET_MAP, FIAS_STREET_TEMP, PROFILE`

  ### Fields inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `con, ERROR, fields, moduleId, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE, tableName`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AddressLoadManager(Connection con)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `addAllTempStreet(FiasCity city)`
  `void`
  `createTempStreetTable(List<FiasStreet> streets)`
  `List<FiasStreet>`
  `findStreetInFias(FiasStreet street)`
  `List<FiasCity>`
  `getCityFromBG()`
  `List<FiasCity>`
  `getCityList()`
  `FiasStreet`
  `getNextEmptyBillingStreet(int cityId)`
  `List<FiasStreet>`
  `getStreetList(FiasCity city)`
  `boolean`
  `loadInProcess()`
  `void`
  `updateCity(FiasCity city)`
  `void`
  `updateCityBgTitle(int cityId, String name)`
  `void`
  `updateStreet(FiasStreet street)`
  `void`
  `updateStreetBgTitle(List<FiasStreet> streets)`

  ### Methods inherited from class ru.bitel.bgbilling.plugins.fias.server.bean.BaseLoadManager

  `clearFiasTable, exceptionLog, executeQuery, executeQuery, loadAddressObjFromRs, loadCityFromRs`

  ### Methods inherited from class ru.bitel.bgbilling.common.dao.AbstarctDaoConstant

  `getPeriod, getSQLOrder, getTableName, psSetDate, psSetInt, psSetString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AddressLoadManager

    public AddressLoadManager(Connection con)

- ## Method Details

  - ### updateCity

    public void updateCity(FiasCity city) throws SQLException
    Throws:
      `SQLException`

  - ### updateStreet

    public void updateStreet(FiasStreet street) throws SQLException
    Throws:
      `SQLException`

  - ### addAllTempStreet

    public String addAllTempStreet(FiasCity city) throws ru.bitel.bgbilling.common.BGException, SQLException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `SQLException`

  - ### createTempStreetTable

    public void createTempStreetTable(List<FiasStreet> streets) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getNextEmptyBillingStreet

    public FiasStreet getNextEmptyBillingStreet(int cityId) throws SQLException
    Throws:
      `SQLException`

  - ### findStreetInFias

    public List<FiasStreet> findStreetInFias(FiasStreet street) throws SQLException
    Throws:
      `SQLException`

  - ### loadInProcess

    public boolean loadInProcess() throws SQLException
    Throws:
      `SQLException`

  - ### getCityFromBG

    public List<FiasCity> getCityFromBG() throws SQLException
    Throws:
      `SQLException`

  - ### getCityList

    public List<FiasCity> getCityList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getStreetList

    public List<FiasStreet> getStreetList(FiasCity city) throws SQLException
    Throws:
      `SQLException`

  - ### updateCityBgTitle

    public void updateCityBgTitle(int cityId, String name) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateStreetBgTitle

    public void updateStreetBgTitle(List<FiasStreet> streets) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`